<?php

/**
 * This code is part of the ImageMaker software (www.gerd-tentler.de/tools/imagemaker), copyright by
 * Gerd Tentler. Obtain permission before selling this code or hosting it on a commercial website or
 * redistributing it over the Internet or in any other medium. In all cases copyright must remain intact.
 */

  $incPath = str_replace('\\', '/', dirname(__FILE__));
  include_once("$incPath/config.inc.php");

	if($webPath == '') {
    $webPath = ereg_replace('^' . $_SERVER['DOCUMENT_ROOT'], '', $incPath);

  	if($webPath == $incPath) {
  		$ld = basename($_SERVER['DOCUMENT_ROOT']);
  		$webPath = substr($incPath, strpos($incPath, $ld) + strlen($ld));
  	}
  }

  if($language == '') $language = 'en';
  include_once("$incPath/languages/lang_$language.inc.php");
?>
<script type="text/javascript">
var imMsgType        = "<?php echo $msg['type']; ?>";
var imMsgImgSize     = "<?php echo $msg['imageSize']; ?>";
var imMsgWidth       = "<?php echo $msg['width']; ?>";
var imMsgHeight      = "<?php echo $msg['height']; ?>";
var imMsgBGColor     = "<?php echo $msg['bgColor']; ?>";
var imMsgLineColor   = "<?php echo $msg['lineColor']; ?>";
var imMsgFillColor   = "<?php echo $msg['fillColor']; ?>";
var imMsgFont        = "<?php echo $msg['font']; ?>";
var imMsgSize        = "<?php echo $msg['fontSize']; ?>";
var imMsgJLeft       = "<?php echo $msg['justifyLeft']; ?>";
var imMsgJCenter     = "<?php echo $msg['justifyCenter']; ?>";
var imMsgJRight      = "<?php echo $msg['justifyRight']; ?>";
var imMsgLeft        = "<?php echo $msg['left']; ?>";
var imMsgRight       = "<?php echo $msg['right']; ?>";
var imMsgTop         = "<?php echo $msg['top']; ?>";
var imMsgMiddle      = "<?php echo $msg['middle']; ?>";
var imMsgBottom      = "<?php echo $msg['bottom']; ?>";
var imMsgMargins     = "<?php echo $msg['margins']; ?>";
var imMsgCancel      = "<?php echo $msg['cancel']; ?>";
var imMsgObject      = "<?php echo $msg['object']; ?>";
var imMsgNone        = "<?php echo $msg['none']; ?>";
var imMsgText        = "<?php echo $msg['text']; ?>";
var imMsgEllipse     = "<?php echo $msg['ellipse']; ?>";
var imMsgTriangle    = "<?php echo $msg['triangle']; ?>";
var imMsgRectangle   = "<?php echo $msg['rectangle']; ?>";
var imMsgImage       = "<?php echo $msg['image']; ?>";
var imgMsgProperties = "<?php echo $msg['properties']; ?>";
var imMsgFile        = "<?php echo $msg['file']; ?>";
var imMsgRotation    = "<?php echo $msg['rotation']; ?>";
var imMsgAngle       = "<?php echo $msg['angle']; ?>";
var imMsgOpacity     = "<?php echo $msg['opacity']; ?>";
var imMsgNew         = "<?php echo $msg['new']; ?>";
var imMsgDelete      = "<?php echo $msg['delete']; ?>";

var imWebPath        = "<?php echo $webPath; ?>";
var imImgWidth       = "<?php echo $imgWidth; ?>";
var imImgHeight      = "<?php echo $imgHeight; ?>";
var imImgBGColor     = "<?php echo $imgBGColor; ?>";
var imLineColor      = "<?php echo $lineColor; ?>";
var imFillColor      = "<?php echo $fillColor; ?>";
var imEditorBGColor  = "<?php echo $editorBGColor; ?>";
var imEditorBorder   = "<?php echo $editorBorder; ?>";
var imEditorFont     = "<?php echo $editorFont; ?>";
</script>
<script type="text/javascript" src="<?php echo $webPath; ?>/js/imagemaker.js"></script>
